#ifndef IFLINTERFACE_H
#define IFLINTERFACE_H

#include "JDImage.h"


#ifndef WIN32

#pragma set woff 1375
#include <ifl/iflFile.h>
#pragma reset woff 1375

#else

#include <ifl/iflFile.h>

#endif

// Use the SGI IFL (Image Format Library) to read images.
// I've tested these formats JPEG, PPM, PGM, TIF, RGB
// Return image is size (0,0) if nothing can be read
void readJDImage( char *filename, JDImage &image);

// Write image. File type is determined by file name extension
// I've tested .jpg, .rgb, .ppm
// Known to fail when trying to write .tif (don't know why)
void writeJDImage( char *filename, JDImage &image);

// Internal routines called by writeJDImage
void writeIFLjpeg(char *filename, JDImage &image);
void writeIFLrgb(char *filename, JDImage &image);
void writeIFLppm(char *filename, JDImage &image);
void writeIFLjpgPC(char *filename, JDImage &image);
void writeIFLppmPC(char *filename, JDImage &image);

#endif 

