


#ifndef JD_MOVIE_H
#define JD_MOVIE_H

#include "JDImage.h"

#ifdef WIN32

#include "vidInterfaceVisionSDK.h"

#else

typedef void *MVid;




// External Routines
void movieCreate(char *filename, MVid &movie, short xsize, short
		 ysize);
void movieOpen (char *filename, MVid &movie);
void movieClose(MVid &movie);

void movieXYSize(MVid &movie, short &x, short &y);
short movieNumFrames(MVid &movie);

void movieGetFrame(MVid &movie, short framenum, ImageInfo &frame);
void moviePutFrame(MVid &movie, short framenum, ImageInfo &frame);

// used internally
void movieFlipImageTopBottom(ImageInfo &image, ImageInfo &outimage);
void movieXBGRtoRGBA(ImageInfo &image, ImageInfo &outimage);


void movieRGBAtoXBGR(ImageInfo &image, ImageInfo &outimage);

#endif

#endif 

