//
// wnoise.h
//
// $Id: wnoise.h,v 1.1 2003/05/22 01:13:24 jedavis Exp $
//

// Worley's funky noise functions, siggraph 96

#ifndef SGL_WNOISE_H
#define SGL_WNOISE_H

#include <sgl/defs.h>
#include <sgl/tuples.h>

class Vector3;

extern double wNoise1(const Tuple3d &, double density = 3.0);
extern Vector3 wVNoise1(const Tuple3d &, double density = 3.0);

extern double wNoise2(const Tuple3d &, double density = 3.0);
extern Vector3 wVNoise2(const Tuple3d &, double density = 3.0);

extern double wNoise3(const Tuple3d &, double density = 3.0);
extern Vector3 wVNoise3(const Tuple3d &, double density = 3.0);

#endif // SGL_WNOISE_H
