#ifndef MILLITIMER_H
#define MILLITIMER_H

#define NET_HOST_NAME "radiance.stanford.edu"
#define NET_HOST_PORT 8013

bool syncMillitimerWithNetwork(char *hostname=NET_HOST_NAME, int port=NET_HOST_PORT);
long getMillitimerNetworkError();
long checkNetworkMillitimer(char *hostname=NET_HOST_NAME, int port=NET_HOST_PORT);

void setMillitimerTolerance(long tol); // In millisecs, of max net err
long getMillitimerAdjust();

#ifndef JDTIME_H
#ifdef __cplusplus
extern "C" {
#endif

unsigned long Get_Milliseconds(void);

#ifdef __cplusplus
}
#endif
#endif


#endif 

