#ifdef WIN32
#include "jd_time.h"
#endif

#include <string.h>
#include <iostream.h>
#include "millitimer.h"

#include "NET_Master.h"

#ifndef WIN32
#include <unistd.h>
#include <sys/types.h>
#include <netinet/in.h>
#endif

NET_Master master(NET_HOST_PORT);

main ()
{
  
  signal(SIGINT, exit);  

  while (1)
    {
      NET_Client *cli=master.waitNewConnection();
	  
      cli->blocking();
      
      long nettime;
   
      long localtime = Get_Milliseconds();
      //cout << "Time: " << localtime << endl;

      localtime=htonl(localtime);
      cli->writeNetMsg(&localtime, 4);
	
#ifdef WIN32
	  usleep(50000);
#endif
      master.deleteClient(cli);
    }
}

