#include "NET_Client.h"
#include <stdlib.h>
//#include "millitimer.h"

#ifdef sgi
#include <unistd.h>
#endif
 
#define SERVERPORT 7007

main (int argc, char **argv)
{
	//socketStartup();

  char buf[10000];
  char readbuf[10000];
  NET_Client client;

  // Check for command line args
  if (argc<2)
    {
      puts ("Usage: client <serverhost> [clientname]");
      exit(2);
    }

  // If a client name is specified, set it up
  if (argc>2)
    {
      client.setClientName(argv[2]);
    }
  
  // Try to connect to server
  int result;
  do {
    result=client.connect(argv[1],SERVERPORT);
    if (result== -1) {
      puts ("Polling Server");
      sleep(1);
    } else {
      puts ("Ready");
    }
  } while (result == -1);

  // Set blocking read mode
  client.blocking();
 
  // Send lines
  gets(buf);
  //int i=0;
  //sprintf(buf,"%d",i);
  while (!feof(stdin))
  {
      client.writeNetMsg(buf,strlen(buf)+1);
#if 0
redo:int len=client.readNetMsg(readbuf,10000);
      printf ("Msg len %d : %s\n",len,  readbuf);
	  if (len==-1) {
	    //	  printf("error # %d\n",WSAGetLastError());
		  goto redo;
	  }
#else
	  int len=client.readNetMsg(readbuf,10000);
	  printf ("Msg len %d : %s\n",len,  readbuf);
#endif
      gets(buf);
	  //sprintf(buf,"%d",++i);
  }

  //socketCleanup();
}



 
