#ifndef MOVIE_H
#define MOVIE_H

#include "buffer.h"
#include "image.h"

class Movie {
    public:
        virtual int Load(const char *name) = 0;
        virtual int Create(const char *name) = 0;
        virtual int Read(int frame, BufferUchar &buffer) = 0;
        virtual int Append(const BufferUchar &buffer) = 0;
        virtual int GetLength() = 0;
        virtual int Close(void) = 0;
};

#endif // MOVIE_H
