#ifndef TCLTKSTR_H
#define TCLTKSTR_H

#include <string>
#include <string.h>
#include <iostream.h>

// A class that does conversion to and from int/float/string
// In a convenient way, to help get things in and out of tcl

class TclTkStr 
{
private:
  std::string str;


public:
  TclTkStr();
  virtual ~TclTkStr();
  
  // Constructor from string
  TclTkStr(const std::string &sin);
  TclTkStr(const char *sin);
  TclTkStr(float sin);
  TclTkStr(double sin);
  TclTkStr(int sin);
  
  // Outgoing 
  operator std::string();
  operator float();
  operator char*();
  operator int();
};

ostream& operator<< (ostream&s,  TclTkStr &str);

#endif 

