#ifndef MAGICKIMAGE_H
#define MAGICKIMAGE_H

#include <Magick++.h>
#include "image.h"

class MagickImage: public Image {
    public:
        virtual ~MagickImage() { ; }
        int Load(const char *name);
        int Load(const BufferUchar &buffer); 
        int Load(const unsigned char *data, size_t size); 
        int Store(const char *name);
        int Store(BufferUchar &buffer, int mode = IMAGE_RGB);
        int GetWidth(void);
        int GetHeight(void);
    private:
        Magick::Image image;
};

#endif // MAGICKIMAGE_H
